> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage Variables

> Modify the schema of a collection by adding new null-initialized fields or renaming existing ones.

Add new variables or rename existing ones within a Data Lake collection.


## OpenAPI

````yaml POST /api/v1/datalake/{source}/databases/{db}/variables
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/datalake/{source}/databases/{db}/variables:
    post:
      tags:
        - Data Lake
      summary: Add or rename variables
      description: >-
        Modify the schema of a collection by adding new null-initialized fields
        or renaming existing ones.
      operationId: post-datalake-variables
      parameters:
        - name: source
          in: path
          required: true
          schema:
            type: string
        - name: db
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                newVariables:
                  type: array
                  items:
                    type: string
                renames:
                  type: array
                  items:
                    type: object
                    properties:
                      from:
                        type: string
                      to:
                        type: string
      responses:
        '200':
          description: Variables updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusMessage:
                    type: string
              examples:
                success:
                  value:
                    statusMessage: >-
                      [AILOOP] Variables added. Matched 100, modified 100
                      documents.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````